@import "./library-for-ois" // library for list ois
@import "./ois-filter" // раздел фильтр для списков

.ois-page
  padding: 0 39px

.ois-title
  font-weight: normal
  font-size: 40px
  line-height: 48px
  color: #FFFFFF
  text-shadow: none

.ois-top
  margin-top: 70px

.ois-section-empty
	margin: 0 auto
	text-align: center
	padding-bottom: 60px
	&__text
		font-weight: 300 !important
		font-size: 24px !important
		line-height: 29px
		text-align: center
		color: #FFFFFF

.ois-list-head
	width: 100%
	height: 62px
	background: #264668
	border-radius: 6px
	margin-bottom: 6px
	font-weight: 300
	font-size: 14px

	&__img
		width: 76px
		margin-right: 18px

	&__title
		width: 23%

	&__type
	  	width: 17%

	&__date
		width: 12%
		padding-right: 10px

	&__status
	  	width: 11%

	&__ipchain
	  	width: 14%

	&__params
	  	width: calc(21% - 72px)

.ois-sort
	width: 7px
	height: 18px
	margin-left: 10px

.ois-sort .up
	width: 7px
	height: 4px
	background: url(~icons/sort-up.svg) no-repeat center / 27px 24px
	margin-bottom: 9px
	cursor: pointer

.ois-sort .down
	width: 7px
	height: 4px
	margin-top: 9px
	background: url(~icons/sort-up.svg) no-repeat center / 27px 24px
	transform: rotate(180deg)
	cursor: pointer

.ois-bottom h1
  	margin-bottom: 91px

.ois-button__wrapper
	display: flex
	justify-content: center
	margin-top: 119px

.ois-button__wrapper-block
  	width: 295px

.sort-panel
	display: flex
	margin-bottom: 25px

.button-section
	width: 50px
	height: 50px
	border-radius: 50%
	background: #203F5F
	display: flex
	justify-content: center
	align-items: center
	cursor: pointer
	margin: 0 5px

.button-section .active div
  	background: #08BDF1

.button-section__list
	width: 27px
	height: 5px
	border: 1px solid #08BDF1
	box-sizing: border-box
	border-radius: 1px
	margin: 2px 0

.button-section_blocks
  	width: 30px

.button-section_block
	width: 12px
	height: 12px
	border: 1px solid #08BDF1
	box-sizing: border-box
	box-shadow: 0px 0px 10px rgba(0, 123, 255, 0.4)
	border-radius: 1px
	float: left
	margin: 1.5px

.button-filter
	width: 102px
	height: 51px
	background: linear-gradient(107.33deg, #1E4B79 0%, #4174AA 100%)
	opacity: 0.9
	border: 1px solid rgba(110, 211, 255, 0.2)
	border-top-left-radius: 6px
	border-bottom-left-radius: 6px
	display: flex
	justify-content: center
	align-items: center
	cursor: pointer
	border-left: 1px solid rgb(255, 173, 97)
	margin-left: 30px
	transition-duration: 0.3s

	&:hover
	  	width: 132px

	&__icon
		background: url(~icons/filter-icon.svg) no-repeat center / 50px 32px
		width: 40px
		height: 30px

.ois-section-list
  	margin-bottom: 50px

.ois-blocks
	width: 310px
	height: 440px
	background: #264668
	border: 1px solid #294D75
	box-shadow: 0 4px 10px rgba(0, 0, 0, 0.05)
	border-radius: 10px
	margin: 15px
	position: relative
	cursor: pointer

.ois-items__block-image
	width: 100%
	height: 300px
	background-image: linear-gradient(to right, #1E4B79 , #4174AA)
	border-top-left-radius: 10px
	border-top-right-radius: 10px
	display: flex
	justify-content: center
	text-align: center
	align-items: center
	position: relative

.ois-card__params
	position: absolute
	width: 254px
	margin-top: -125px

.ois-card__params .star
	width: 27px
	height: 30px
	margin-top: 2px

.block-flag
	display: flex
	margin-top: -8px

.block-flag > .flag
	width: 34px
	height: 44px

.flag.censure
	background: url(~icons/flag-censure.svg) no-repeat left / 38px 52px

.flag.adult
	background: url(~icons/flag-adult.svg) no-repeat left / 38px 52px

.ois-items__image
	width: 141px
	height: 102px
	background: url(~icons/image.svg) no-repeat center / 141px 102px

.ois-items__music
	width: 96px
	height: 96px
	background: url(~icons/music-note.svg) no-repeat left / 96px 96px

.ois-blocks__img
	width: 308px
	height: 300px
	border-top-left-radius: 9px
	border-top-right-radius: 9px

.ois-card__status
	position: absolute
	bottom: 10px
	right: 94px

.ois-blocks__info
  	padding: 20px 20px 27px

.ois-blocks__title
	height: 48px
	font-weight: normal
	font-size: 20px
	line-height: 24px
	color: #FFFFFF
	overflow: hidden

.ois-blocks__type, .ois-blocks__author
	font-weight: 300
	font-size: 14px
	line-height: 17px
	color: #FFFFFF
	margin-top: 8px
	overflow: hidden

.ois-section-block
	display: flex
	flex-wrap: wrap
	justify-content: center

.ois-items
	height: 82px
	background: #264668
	width: 100%
	margin: 5px 0
	border-radius: 6px
	border: 1px solid #294D75
	box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.05)
	display: flex
	align-items: center
	position: relative
	cursor: pointer

.ois-items__img
	width: 82px
	height: 80px
	background: linear-gradient(107.33deg, #1E4B79 0%, #4174AA 100%)
	margin-right: 15px
	border-top-left-radius: 4px
	border-bottom-left-radius: 4px

.ois-items__img img
	width: 82px
	height: 80px
	border-top-left-radius: 5px
	border-bottom-left-radius: 5px

.ois-items__img .image
	width: 50px
	height: 50px
	background: url(~icons/image.svg) no-repeat center/50px 50px

.ois-items__img .music
	width: 50px
	height: 50px
	background: url(~icons/music-note.svg) no-repeat left / 50px 42px

.ois-items__title
  	width: 23%

.ois-items__title.red
  	color: #FF9B9B

.ois-items__description
	font-weight: 300
	font-size: 14px
	line-height: 17px
	color: #C2D5E9

.ois-items__description.type
  	width: 17%

.ois-items__description.date
  	width: 12%

.ois-items__status, .ois-card__status
	width: 11%
	font-weight: normal
	font-size: 12px
	line-height: 132%
	text-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1)

.ois-items__status .status, .ois-card__status .status
	border-radius: 4px
	text-align: center
	width: 108px
	line-height: 24px
	text-transform: uppercase

.ois-items__status .resolve, .ois-card__status .resolve
  	background: #4DAE4C

.ois-items__status .resolve:before, .ois-card__status .resolve:before
  	content: 'Принят'

.ois-items__status .pending, .ois-card__status .pending
  	background: #EA8320

.ois-items__status .pending:before, .ois-card__status .pending:before
  	content: 'На модерации'

.ois-items__status .reject, .ois-card__status .reject
  	background: #F96C6C

.ois-items__status .reject:before, .ois-card__status .reject:before
  	content: 'Отклонен'

.ois-items__status .not-catalog, .ois-card__status .not-catalog
  	background: #506C89

.ois-items__status .not-catalog:before, .ois-card__status .not-catalog:before
  	content: 'Не в каталоге'

.ois-items__status .ipchain, .ois-card__status .ipchain
	height: 24px
	background: url(~icons/ipchain.svg) no-repeat left/87px 29px

.ois-items__ipchain
	width: 14%
	font-weight: 300
	font-size: 14px
	line-height: 17px
	color: #61CFFF

.ois-items__params
	display: flex
	justify-content: flex-end
	width: calc(21% - 82px)

.ois-items__params .block
	width: 30px
	height: 30px
	margin-left: 10px

.ois-items__params .censure
  	background: url(~icons/censure.svg) no-repeat left / 31px 29px

.ois-items__params .adult
  	background: url(~icons/adult.svg) no-repeat center / 62px 32px

.ois-items__params .star
	margin: 0 20px 0 46px
	width: 27px
	height: 30px

.ois-items__params .star-on, .ois-card__params .star-on
  	background: url(~icons/star-on.svg) no-repeat center / 41px 36px

.ois-items__params .star-off, .ois-card__params .star-off
  	background: url(~icons/star-off.svg) no-repeat center / 41px 36px

/* Max-width: 1199px */

@media (min-width: 1024px) and (max-width: 1199px)
	.ois-list-head__ipchain, .ois-items__ipchain
		display: none

	.ois-list-head__title, .ois-items__title
		width: calc(32% - 84px)
		padding-right: 10px

	.ois-list-head__type
		width: 18%

	.ois-items__description.type
		width: 22%
		padding-right: 10px

	.ois-list-head__date
		width: 20%

	.ois-items__description.date
		width: 18%

	.ois-list-head__status, .ois-items__status
		width: 14%

	.ois-list-head__params, .ois-items__params
		width: 16%

	.ois-items__params .star
		margin: 0 9px

/* Max-width: 1023px */

@media screen and (max-width: 1023px)
	.ois-top.space-between
		display: block

	.ois-list-head__img
		margin-right: 24px

	.ois-list-head__title
		width: calc(50% - 77px)
		padding-right: 10px

	.ois-list-head__type, .ois-items__description.type
		width: 27%
		padding-right: 10px

	.ois-list-head__date, .ois-items__description.date
		width: 23%
	.ois-list-head__status, .ois-list-head__ipchain, .ois-list-head__params, .ois-items__ipchain
		display: none

	.ois-items__img .image
		width: 50px
		height: 50px
		background: url(~icons/image.svg) no-repeat center/40px 40px

	.ois-items__img .music
		width: 50px
		height: 50px
		background: url(~icons/music-note.svg) no-repeat center/30px 30px

	.ois-items__title
		width: calc(50% - 85px)

	.ois-items__status
		position: absolute
		font-size: 9px
		bottom: 4px
		left: 4px

	.ois-items__status .status
		width: 74px
		line-height: 15px
		border-radius: 3px

	.ois-items__status .ipchain
		background: url(~icons/ipchain.svg) no-repeat left/72px 32px

	.ois-items__params
		display: block
		position: absolute
		width: 74px
		height: 25px
		top: 0px
		left: 4px

	.ois-items__params .star
		height: 17px
		width: 17px
		position: relative
		top: -56px
		left: 1px
		margin: 0

	.ois-items__params .star-on
		background: url(~icons/star-on.svg) no-repeat center / 21px 20px

	.ois-items__params .star-off
		background: url(~icons/star-off.svg) no-repeat center / 21px 20px

	.ois-items__params .block
		position: relative
		margin-left: 0

	.ois-items__params .censure
		background: url(~icons/censure.svg) no-repeat left / 16px 23px
		left: 40px
		top: -2px

	.ois-items__params .adult
		background: url(~icons/adult.svg) no-repeat center / 20px 16px
		right: -52px
		top: -32px

/* Max-width: 800px */

@media screen and (max-width: 800px)
	.ois-page
		padding: 0 0

	.ois-top
		margin-top: 40px
		margin-bottom: -10px

	.ois-section-list
		margin-bottom: 25px

	.ois-list-head
		display: none

	.ois-items
		display: block

	.ois-items__img, .ois-items__title, .ois-items__description.type
		float: left

	.ois-items__img .image
		width: 50px
		height: 50px
		background: url(~icons/image.svg) no-repeat center/37px 37px

	.ois-items__img .music
		width: 50px
		height: 50px
		background: url(~icons/music-note.svg) no-repeat center / 30px 28px

	.ois-items__title
		width: calc(100% - 145px)
		height: 37px
		margin-top: 10px
		overflow: hidden

	.ois-items__description.type
		width: calc(100% - 145px)
		font-size: 13px
		height: 34px
		overflow: hidden

	.ois-items__description.date, .ois-items__ipchain
		display: none

	.ois-items__status
		position: absolute
		font-size: 9px
		bottom: 4px
		left: 4px

	.ois-card__status
		font-size: 9px
		right: 69px
		bottom: 5px

	.ois-items__status .status, .ois-card__status .status
		width: 74px
		line-height: 15px
		border-radius: 3px

	.ois-items__status .ipchain, .ois-card__status .ipchain
		display: none

	.ois-items__params .star
		position: absolute
		height: 17px
		top: 5px
		right: -15px
		width: 15px

	.ois-items__params .block
		position: absolute
		width: 14px
		height: 14px
		top: 6px

	.ois-card__params
		top: 5px

	.ois-items__params .censure
		background: url(~icons/censure.svg) no-repeat left / 16px 23px
		left: 43px

	.ois-items__params .adult
		background: url(~icons/adult.svg) no-repeat center / 20px 16px
		left: 62px

	.ois-card__params .star
		height: 17px

	.ois-items__params .star-on, .ois-card__params .star-on
		background: url(~icons/star-on.svg) no-repeat center / 21px 20px

	.ois-items__params .star-off, .ois-card__params .star-off
		background: url(~icons/star-off.svg) no-repeat center / 21px 20px

	.block-flag
		height: 34px
		display: flex
		justify-content: center
		align-items: center

	.block-flag > .flag
		width: 16px
		height: 16px

	.flag.censure
		background: url(~icons/censure.svg) no-repeat left / 18px 24px

	.flag.adult
		background: url(~icons/adult.svg) no-repeat center / 22px 18px

	.ois-items__image
		background: url(~icons/image.svg) no-repeat center/77px 102px

	.ois-items__music
		background: url(~icons/music-note.svg) no-repeat left / 89px 60px

	.ois-blocks
		width: 162px
		height: 233px

	.ois-items__block-image
		height: 158px

	.ois-blocks__img
		width: 160px
		height: 158px

	.ois-card__params
		margin-top: 0
		width: 150px

	.ois-blocks__info
		padding: 6px 8px 0

	.ois-blocks__title
		font-size: 14px
		line-height: 17px
		height: 35px

	.ois-blocks__type
		font-size: 12px
		line-height: 14px
		margin-top: 0
		height: 30px

	.ois-blocks__author
		display: none

/* Max-width: 767px */

@media screen and (max-width: 767px)
	.ois-title
		font-size: 30px
		text-align: left


.ois-top.space-between
	display: block

.ois-page .ois-section-empty
	margin: 0

.ois-page .ois-section-empty__text
	font-size: 18px
	line-height: 22px

.button-filter
	display: none

.ois-section-button
	margin-top: 14px

/* Max-width: 424px */

@media screen and (max-width: 424px)
  .ois-items__title
	  width: calc(100% - 130px)
	  font-size: 13px

  .ois-items__description.type
	  width: calc(100% - 130px)
	  font-size: 12px
